using Com.Syncfusion.Charts;
using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Util;
using Android.Views;
using Android.Widget;
using Android.Graphics;
using Com.Syncfusion.Charts.Enums;

namespace ChartSample
{
    public class ChartFragment : Android.Support.V4.App.Fragment
    {
        public ObservableArrayList HighTemperature;

        LinearLayout layout;

        Button reloadData, labelFragment;

        TextView textView;

        public override void OnCreate(Bundle savedInstanceState)
        {
            base.OnCreate(savedInstanceState);
        }

        public override View OnCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState)
        {
            layout = new LinearLayout(Context);
            layout.Orientation = Android.Widget.Orientation.Vertical;

            reloadData = new Button(Context);
            reloadData.Text = "Reload Data";
            reloadData.Click += ReloadData_Click;

            labelFragment = new Button(Context);
            labelFragment.Text = "Add another view";
            labelFragment.Click += LabelFragment_Click;

            SfChart chart = new SfChart(Context);
            chart.Title.Text = "Weather Analysis";
            chart.SetBackgroundColor(Color.White);

            HighTemperature = new ObservableArrayList();
            HighTemperature.Add(new ChartDataPoint(0, 42));
            HighTemperature.Add(new ChartDataPoint(1, 48));
            HighTemperature.Add(new ChartDataPoint(2, 64));
            HighTemperature.Add(new ChartDataPoint(3, 44));
            HighTemperature.Add(new ChartDataPoint(4, 64));
            HighTemperature.Add(new ChartDataPoint(5, 25));

            NumericalAxis primaryAxis = new NumericalAxis();
            primaryAxis.Title.Text = "Days";
            chart.PrimaryAxis = primaryAxis;

            NumericalAxis secondaryAxis = new NumericalAxis();
            secondaryAxis.Title.Text = "Temperature";
            chart.SecondaryAxis = secondaryAxis;

            PieSeries pieSeries = new PieSeries();
            pieSeries.DataMarker.ShowLabel = true;
            pieSeries.DataSource = HighTemperature;
            pieSeries.ConnectorType = ConnectorType.Bezier;
            pieSeries.DataMarkerPosition = CircularSeriesDataMarkerPosition.OutsideExtended;
            chart.Series.Add(pieSeries);

            layout.AddView(reloadData);
            layout.AddView(labelFragment);
            layout.AddView(chart, 550, 550);
            return layout;
        }

        private void ReloadData_Click(object sender, System.EventArgs e)
        {
            HighTemperature.Add(new ChartDataPoint(6, 34));
            HighTemperature.Add(new ChartDataPoint(7, 45));
        }
        private void LabelFragment_Click(object sender, System.EventArgs e)
        {
            textView = new TextView(Context);
            textView.SetTextColor(Color.Red);
            textView.TextSize = 25;
            textView.Text = "TextView";
            layout.AddView(textView);
        }
    }
}